GET https://api.ap1.datadoghq.com/api/v1/tags/hosts/{host_name} https://api.ap2.datadoghq.com/api/v1/tags/hosts/{host_name} https://api.datadoghq.eu/api/v1/tags/hosts/{host_name} https://api.ddog-gov.com/api/v1/tags/hosts/{host_name} https://api.us2.ddog-gov.com/api/v1/tags/hosts/{host_name} https://api.datadoghq.com/api/v1/tags/hosts/{host_name} https://api.us3.datadoghq.com/api/v1/tags/hosts/{host_name} https://api.us5.datadoghq.com/api/v1/tags/hosts/{host_name}
Overview Return the list of tags that apply to a given host.
Arguments Path Parameters Name of the host to retrieve tags for
Query Strings Response Code Example Copy
# Path parameters export host_name = "CHANGE_ME" # Curl command curl -X GET "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v1/tags/hosts/${host_name} " \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY} " \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY} "
"""
Get Host Tags returns "OK" response
"""
from datadog_api_client import ApiClient , Configuration
from datadog_api_client.v1.api.tags_api import TagsApi
configuration = Configuration ()
with ApiClient ( configuration ) as api_client :
api_instance = TagsApi ( api_client )
response = api_instance . get_host_tags (
host_name = "host_name" ,
)
print ( response )
Instructions First install the library and its dependencies and then save the example to example.py and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" python3 "example.py"
# Get Host Tags returns "OK" response
require "datadog_api_client"
api_instance = DatadogAPIClient :: V1 :: TagsAPI . new
p api_instance . get_host_tags ( "host_name" )
Instructions First install the library and its dependencies and then save the example to example.rb and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" rb "example.rb"
// Get Host Tags returns "OK" response
package main
import (
"context"
"encoding/json"
"fmt"
"os"
"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
"github.com/DataDog/datadog-api-client-go/v2/api/datadogV1"
)
func main () {
ctx := datadog . NewDefaultContext ( context . Background ())
configuration := datadog . NewConfiguration ()
apiClient := datadog . NewAPIClient ( configuration )
api := datadogV1 . NewTagsApi ( apiClient )
resp , r , err := api . GetHostTags ( ctx , "host_name" , * datadogV1 . NewGetHostTagsOptionalParameters ())
if err != nil {
fmt . Fprintf ( os . Stderr , "Error when calling `TagsApi.GetHostTags`: %v\n" , err )
fmt . Fprintf ( os . Stderr , "Full HTTP response: %v\n" , r )
}
responseContent , _ := json . MarshalIndent ( resp , "" , " " )
fmt . Fprintf ( os . Stdout , "Response from `TagsApi.GetHostTags`:\n%s\n" , responseContent )
}
Instructions First install the library and its dependencies and then save the example to main.go and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" go run "main.go"
// Get Host Tags returns "OK" response
import com.datadog.api.client.ApiClient ;
import com.datadog.api.client.ApiException ;
import com.datadog.api.client.v1.api.TagsApi ;
import com.datadog.api.client.v1.model.HostTags ;
public class Example {
public static void main ( String [] args ) {
ApiClient defaultClient = ApiClient . getDefaultApiClient ();
TagsApi apiInstance = new TagsApi ( defaultClient );
try {
HostTags result = apiInstance . getHostTags ( "host_name" );
System . out . println ( result );
} catch ( ApiException e ) {
System . err . println ( "Exception when calling TagsApi#getHostTags" );
System . err . println ( "Status code: " + e . getCode ());
System . err . println ( "Reason: " + e . getResponseBody ());
System . err . println ( "Response headers: " + e . getResponseHeaders ());
e . printStackTrace ();
}
}
}
Instructions First install the library and its dependencies and then save the example to Example.java and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" java "Example.java"
// Get Host Tags returns "OK" response
use datadog_api_client ::datadog ;
use datadog_api_client ::datadogV1 ::api_tags ::GetHostTagsOptionalParams ;
use datadog_api_client ::datadogV1 ::api_tags ::TagsAPI ;
#[tokio::main]
async fn main () {
let configuration = datadog ::Configuration ::new ();
let api = TagsAPI ::with_config ( configuration );
let resp = api
. get_host_tags (
"host_name" . to_string (),
GetHostTagsOptionalParams ::default (),
)
. await ;
if let Ok ( value ) = resp {
println! ( " {:#?} " , value );
} else {
println! ( " {:#?} " , resp . unwrap_err ());
}
}
Instructions First install the library and its dependencies and then save the example to src/main.rs and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" cargo run
/**
* Get Host Tags returns "OK" response
*/
import { client , v1 } from "@datadog/datadog-api-client" ;
const configuration = client . createConfiguration ();
const apiInstance = new v1 . TagsApi ( configuration );
const params : v1.TagsApiGetHostTagsRequest = {
hostName : "host_name" ,
};
apiInstance
. getHostTags ( params )
. then (( data : v1.HostTags ) => {
console . log (
"API called successfully. Returned data: " + JSON . stringify ( data )
);
})
. catch (( error : any ) => console . error ( error ));
Instructions First install the library and its dependencies and then save the example to example.ts and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" tsc "example.ts"